Bug 806972 - F17 /lib/java possible rootkit
F17 /lib/java possible rootkit
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rkhunter (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 12:23 EDT by Frank Murphy
Modified: 2012-05-26 02:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 02:49:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Murphy 2012-03-26 12:23:11 EDT
Description of problem: 


16:46:00] Warning: Checking for possible rootkit files and directories [ Warning ]
[16:46:00]          Found directory '/lib/java'. Possible rootkit: Rootkit component

/lib/java is an empty dir.
as appears to be normal going by:
http://koji.fedoraproject.org/koji/rpminfo?rpmID=2879224


Version-Release number of selected component (if applicable):
rkhunter-1.3.8-14.fc17.noarch
jpackage-utils-1.7.5-16.fc17.i686

How reproducible: Number of rkhunter runs


Steps to Reproduce:
1. install jpackage-utils
2. run rkhunter --update --check -sk
3. 
  
Actual results: 


Expected results: 


Additional info:
Comment 1 Kevin Fenzi 2012-03-28 15:59:02 EDT
This is going to take some changes to the core script as there's no way to whitelist a dir like this in config. Will bring it up upstream too.
Comment 2 Kevin Fenzi 2012-04-15 15:57:38 EDT
upstream is working on a good fix for this. In the mean time I have a workaround I will commit and push out. 

RTKT_DIR_WHITELIST=/lib/java

Look for an update in a bit here.
Comment 3 Fedora Update System 2012-04-15 16:12:53 EDT
rkhunter-1.3.8-15.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rkhunter-1.3.8-15.fc17
Comment 4 Fedora Update System 2012-04-16 17:56:00 EDT
Package rkhunter-1.3.8-15.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rkhunter-1.3.8-15.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5982/rkhunter-1.3.8-15.fc17
then log in and leave karma (feedback).
Comment 5 Frank Murphy 2012-04-17 02:54:37 EDT
https://admin.fedoraproject.org/updates/FEDORA-2012-5982/rkhunter-1.3.8-15.fc17

Hard one to call, fixes the problem in i386.
Cause "no such dir" in x86_64
Comment 6 Kevin Fenzi 2012-04-17 09:24:08 EDT
Oops. Quite right. ;( 

I'll ask upstream for a better way around this... 

thank you for the testing.
Comment 7 Frank Murphy 2012-04-18 03:40:30 EDT
(In reply to comment #6)
> Oops. Quite right. ;( 
> 
> I'll ask upstream for a better way around this... 
> 
> thank you for the testing.

At the moment, I just make "mkdir /usr/lib/java"  on the x86_64.

But the empty dir /usr/lib64/java cause no false flag.
Comment 8 Fedora Update System 2012-05-08 10:51:47 EDT
rkhunter-1.4.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rkhunter-1.4.0-1.fc17
Comment 9 Fedora Update System 2012-05-26 02:49:24 EDT
rkhunter-1.4.0-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.